# Class TCefThreadRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFThread

## Declaration

`type TCefThreadRef = class(TCefBaseRefCountedRef, ICefThread)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefThreadRef

## Overview

### Methods

| `function GetTaskRunner: ICefTaskRunner;`
| `function GetPlatformThreadID: TCefPlatformThreadId;`
| `procedure Stop;`
| `function IsRunning: boolean;`
| `class function UnWrap(data: Pointer): ICefThread;`
| `class function New(const display_name: ustring; priority: TCefThreadPriority; message_loop_type: TCefMessageLoopType; stoppable: integer; com_init_mode: TCefCOMInitMode): ICefThread;`

## Description

### Methods

| `function GetTaskRunner: ICefTaskRunner;`
This item has no description. Showing description inherited from ICefThread.GetTaskRunner. Returns the ICefTaskRunner that will execute code on this thread's message loop. This function is safe to call from any thread.

| `function GetPlatformThreadID: TCefPlatformThreadId;`
This item has no description. Showing description inherited from ICefThread.GetPlatformThreadID. Returns the platform thread ID. It will return the same value after stop() is called. This function is safe to call from any thread.

| `procedure Stop;`
This item has no description. Showing description inherited from ICefThread.Stop. Stop and join the thread. This function must be called from the same thread that called cef_thread_create(). Do not call this function if cef_thread_create() was called with a |stoppable| value of false (0).

| `function IsRunning: boolean;`
This item has no description. Showing description inherited from ICefThread.IsRunning. Returns true (1) if the thread is currently running. This function must be called from the same thread that called cef_thread_create().

| `class function UnWrap(data: Pointer): ICefThread;`
This item has no description.

| `class function New(const display_name: ustring; priority: TCefThreadPriority; message_loop_type: TCefMessageLoopType; stoppable: integer; com_init_mode: TCefCOMInitMode): ICefThread;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.